Bug 116503 - System hangs on boot and shutdown with Orinoco Gold PCMCIA card in.
Summary: System hangs on boot and shutdown with Orinoco Gold PCMCIA card in.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-21 22:39 UTC by Warren Lewis
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-23 23:23:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages for one boot. comments marked with ***** (21.75 KB, text/plain)
2004-02-21 22:41 UTC, Warren Lewis
no flags Details

Description Warren Lewis 2004-02-21 22:39:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
When booting system with an Orinoco Gold PCMCIA card inserted the
system hangs, this also sometimes happens during shutdown.  during
hang keyboard is unresponsive, no response to vt change ctrl-alt-del,
etc.  removing card causes error message then boot continues.  one
strange thing about this is that it only seems to occur when X is
running (run level 5)  I will attach a copy of /var/log/messages as
there are some other strange errors in there refering to X problems
which might be related.  I inserted a comment in the log starting with
***** showing where the hang occured, removing the card allowed boot
to continue.

Version-Release number of selected component (if applicable):
kernel-2.6.3-1.91

How reproducible:
Sometimes

Steps to Reproduce:
1. boot in run level 5 with rhgb enabled (default boot options)
2. system usually hangs when card is in place.
3. remove card, system errors and boot continues.
    

Actual Results:  hangs

Expected Results:  boots normally

Additional info:

Comment 1 Warren Lewis 2004-02-21 22:41:15 UTC
Created attachment 97918 [details]
/var/log/messages for one boot. comments marked with *****

Comment 2 Don Hardaway 2004-02-23 16:29:31 UTC
With the latest kernel (kernel-2.6.3-1.97) my boot process does not
hang anymore with the pcmcia wireless card inserted BUT now if i take
the card out once the system is booted and reinsert it, it does not
make a connection or light up any more--as if the hotplug feature is
not working.

Comment 3 Bill Nottingham 2004-02-23 23:23:53 UTC
Please open a different bug if hotplug failures continue.


Note You need to log in before you can comment on or make changes to this bug.